Bug 1704915 - Missing version info when prometheus starts
Summary: Missing version info when prometheus starts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.0
Assignee: Paul Gier
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-30 19:15 UTC by Hemant Kumar
Modified: 2019-06-04 10:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No docs needed for this.
Clone Of:
Environment:
Last Closed: 2019-06-04 10:48:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:48:24 UTC

Description Hemant Kumar 2019-04-30 19:15:40 UTC
I don't know if it is because of bad packaging or something else but prometheus does not log version information with OCP images we are building for 4.1 (in CI):


level=info ts=2019-04-29T13:49:10.264Z caller=main.go:302 msg="Starting Prometheus" version="(version=, branch=, revision=)"
level=info ts=2019-04-29T13:49:10.264Z caller=main.go:303 build_context="(go=go1.11.9, user=, date=)"
level=info ts=2019-04-29T13:49:10.264Z caller=main.go:304 host_details="(Linux 4.18.0-80.el8.x86_64 #1 SMP Wed Mar 13 12:02:46 UTC 2019 x86_64 prometheus-k8s-1 (none))"
level=info ts=2019-04-29T13:49:10.264Z caller=main.go:305 fd_limits="(soft=1048576, hard=1048576)"
level=info ts=2019-04-29T13:49:10.264Z caller=main.go:306 vm_limits="(soft=unlimited, hard=unlimited)"
level=info ts=2019-04-29T13:49:10.267Z caller=main.go:620 msg="Starting TSDB ..."
level=info ts=2019-04-29T13:49:10.267Z caller=web.go:416 component=web msg="Start listening for connections" address=127.0.0.1:9090
level=info ts=2019-04-29T13:49:10.274Z caller=main.go:635 msg="TSDB started"
level=info ts=2019-04-29T13:49:10.274Z caller=main.go:695 msg="Loading configuration file" filename=/etc/prometheus/config_out/prometheus.env.yaml

Comment 1 Paul Gier 2019-05-01 03:49:02 UTC
I believe this is related to the switch to go 1.11 and the use of go modules.
https://github.com/openshift/prometheus/pull/29

Comment 2 Frederic Branczyk 2019-05-02 11:35:11 UTC
PR has merged.

Comment 4 Junqi Zhao 2019-05-05 01:58:31 UTC
version is shown in prometheus logs
$ oc -n openshift-monitoring logs prometheus-k8s-0 -c prometheus
level=info ts=2019-05-05T01:04:50.722Z caller=main.go:302 msg="Starting Prometheus" version="(version=2.7.2, branch=rhaos-4.1-rhel-7, revision=c8a3f94abf81cd0674b496fb6d9946c32b3b736f)"
level=info ts=2019-05-05T01:04:50.722Z caller=main.go:303 build_context="(go=go1.11.5, user=root@15b40ba5e17a, date=20190502-14:46:15)"
level=info ts=2019-05-05T01:04:50.722Z caller=main.go:304 host_details="(Linux 4.18.0-80.el8.x86_64 #1 SMP Wed Mar 13 12:02:46 UTC 2019 x86_64 prometheus-k8s-0 (none))"
level=info ts=2019-05-05T01:04:50.722Z caller=main.go:305 fd_limits="(soft=1048576, hard=1048576)"
level=info ts=2019-05-05T01:04:50.722Z caller=main.go:306 vm_limits="(soft=unlimited, hard=unlimited)"
level=info ts=2019-05-05T01:04:50.723Z caller=main.go:620 msg="Starting TSDB ..."
level=info ts=2019-05-05T01:04:50.724Z caller=web.go:416 component=web msg="Start listening for connections" address=127.0.0.1:9090
level=info ts=2019-05-05T01:04:50.731Z caller=main.go:635 msg="TSDB started"

payload: 4.1.0-0.nightly-2019-05-04-210601

Comment 6 errata-xmlrpc 2019-06-04 10:48:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.